* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'Favorit Lining';
    src: url(fonts/ABCFavoritLiningEdu-Regular.woff2);
}
@font-face {
    font-family: 'Diatype';
    src: url(fonts/ABCDiatypeEdu-Regular.woff2);
}

.main-container {
    width: 100vw;
    height: 100vh;
    max-height: auto;
    display: flex;
    flex-direction: column;
    background-color: #f1f1f1;
}
.page-title {
    flex-basis: 10%;
    padding: 0 1rem;
    display: flex;
    align-items: center;
    font-family: 'Favorit Lining';
    color: #3f4022;
    font-size: 2.2rem;
}
.add-note-container {
    display: flex;
    flex-direction: column;
    flex-basis: 25%;
    font-family: 'Diatype';
}
.input-container {
    flex-basis: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}
textarea {
    resize: none;
    outline: none;
    width: 35%;
    height: 80%;
    padding: 0.5rem 0.5rem;
    font-family: 'Diatype';
    font-weight: bold;
    letter-spacing: 1px;
}
textarea:focus {
    border: 2px solid #C3E0E5;
    box-shadow: 0 0 4px #C3E0E5;
}
.display-note-container {
    flex-basis: 65%;
    /* height: 100%; */
    padding: 1.5rem 0;
    display: flex;
    flex-wrap: wrap;
    overflow-y: auto;
}
.notes-container {
    width: 90%; 
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    gap: 2.5%;
}
.add-note-button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 5rem;
    height: 5rem;
    border-radius: 50%;
    outline: none;
    font-family: inherit;
    cursor: pointer;
    background-color: #dac4b3;
    border: none;
    font-size: 4rem;
    font-weight: bold;
    color: black;
    transition: 500ms;
}
.add-note-button:hover {
    transform: scale(105%);
    transition: 500ms;
}
.sticky-div {
    width: 18%;
    height: 50%;
    min-width: 200px;
    padding: 0.25rem;
    font-family: 'Diatype';
    word-break:break-all;
    font-weight: bold;
    font-size: 0.9rem;
}
.sticky-div:hover {
    box-shadow: 0 0 8px azure;
    transition: 500ms;
}
.error-message {
    display: none;
    flex-basis: 20%;
    text-align: center;
    color: #ff9494;
    font-weight: bold;
}